<template>
    <v-tooltip right open-delay="1000">
        <template v-slot:activator="{ on, attrs }">
            <v-btn icon>
                <v-icon 
                    v-on="on" v-bind="attrs"
                    @click.native="$emit('click', $event)"
                >{{ iconName }}</v-icon>
            </v-btn>
        </template>
        <span>{{ tooltip }}</span>
    </v-tooltip>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api'

export default defineComponent({
    name: 'NodeButton',
    props: {
        iconName: {
            type: String,
            required: true
        },
        tooltip: {
            type: String,
            required: true
        }
    }
})
</script>
